<?php
/**
 * @package    HybridAuth
 * @author     HybridAuth authors / Joomla! integration by Abhishek Das
 * @copyright  Copyright (c) 2009-2019 hybridAuth authors.
 * @license    HybridAuth is released under dual licence MIT and GPL. see http://hybridauth.sourceforge.net/licenses.html
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       http://hybridauth.sourceforge.net | http://github.com/hybridauth/hybridauth
 */
defined('_JEXEC') or die;

/**
 * HybridAuth storage manager interface
 */
interface Hybrid_Storage_Interface {

	public function config($key, $value = null);

	public function get($key);

	public function set($key, $value);

	function clear();

	function delete($key);

	function deleteMatch($key);

	function getSessionData();

	function restoreSessionData($sessiondata = null);
}
